package cn.dg32z.lon.checks.impl.player.breaking.wrong;

import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.type.StateType;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.type.StateTypes;
import cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3i;
import cn.dg32z.lon.checks.Check;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.BlockBreakCheck;
import cn.dg32z.lon.player.PlayerData;
import java.security.MessageDigest;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;
import lombok.NonNull;

@CheckData(name = "WrongBreakB", configName = "WrongBreakB", description = "air/water break", decay = 0.23d, experimental = true)
/* loaded from: cn_dg32z_lon_checks_impl_player_breaking_wrong.jar:cn/dg32z/lon/checks/impl/player/breaking/wrong/WrongBreakB.class */
public final class WrongBreakB extends Check implements BlockBreakCheck {
    private boolean didLastFlag;
    private int lastTick;

    @NonNull
    private Vector3i lastBreakLoc;
    public final boolean noFireHitbox;

    @NonNull
    private StateType lastBlockType;
    static Object a;

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "\n\u0092;\\¶jäQÈE/±\u0090\u0086\u008b\rbì\u0083<¿ ßK\u0017àïÐP\u008eÉðGsI}ðv¬:ø\"ÏÃª:@2".getBytes("ISO_8859_1");
        byte[] bytes2 = "D¡¾¾±¶øì".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = -2076677216;
                    break;
                case true:
                    i = 1069694900;
                    break;
                case true:
                    i = -1908102228;
                    break;
                case true:
                    i = 1457897702;
                    break;
                case true:
                    i = -1276885984;
                    break;
                case true:
                    i = 1356630091;
                    break;
                case true:
                    i = -679716036;
                    break;
                case true:
                    i = 740105629;
                    break;
                case true:
                    i = 1465586180;
                    break;
                case true:
                    i = 1598207569;
                    break;
                case true:
                    i = -48744969;
                    break;
                case true:
                    i = -386146807;
                    break;
                case true:
                    i = 952257163;
                    break;
                case true:
                    i = 726733464;
                    break;
                case true:
                    i = -1044213538;
                    break;
                case true:
                    i = 650739963;
                    break;
                case true:
                    i = -757583738;
                    break;
                case true:
                    i = -843646880;
                    break;
                case true:
                    i = -1956404380;
                    break;
                case true:
                    i = -2035767318;
                    break;
                case true:
                    i = 2093218179;
                    break;
                case true:
                    i = -935110602;
                    break;
                case true:
                    i = -866039186;
                    break;
                case true:
                    i = 1813275850;
                    break;
                case true:
                    i = -1368107837;
                    break;
                case true:
                    i = -1649401167;
                    break;
                case true:
                    i = -2028915486;
                    break;
                case true:
                    i = 587023017;
                    break;
                case true:
                    i = 864624646;
                    break;
                case true:
                    i = -1551180797;
                    break;
                case true:
                    i = 274227008;
                    break;
                case true:
                    i = -1751647183;
                    break;
                case true:
                    i = -985764312;
                    break;
                case true:
                    i = -562500746;
                    break;
                case true:
                    i = -1766972704;
                    break;
                case true:
                    i = -89524488;
                    break;
                case true:
                    i = 1285302404;
                    break;
                case true:
                    i = -1610986078;
                    break;
                case true:
                    i = 1399339727;
                    break;
                case true:
                    i = 1262348834;
                    break;
                case true:
                    i = -1903240894;
                    break;
                case true:
                    i = -1514811447;
                    break;
                case true:
                    i = -1063745027;
                    break;
                case true:
                    i = 2020435912;
                    break;
                case true:
                    i = -1597797397;
                    break;
                case true:
                    i = 1099299773;
                    break;
                case true:
                    i = -1122208120;
                    break;
                case true:
                    i = 965870760;
                    break;
                case true:
                    i = -1184254044;
                    break;
                case true:
                    i = -1221702637;
                    break;
                case true:
                    i = 1846096681;
                    break;
                case true:
                    i = -1829016331;
                    break;
                case true:
                    i = -2103731141;
                    break;
                case true:
                    i = 1695833935;
                    break;
                case true:
                    i = -1751169126;
                    break;
                case true:
                    i = 1601547875;
                    break;
                case true:
                    i = 1969137389;
                    break;
                case true:
                    i = 1624322398;
                    break;
                case true:
                    i = 2074289363;
                    break;
                case true:
                    i = -440571545;
                    break;
                case true:
                    i = 355637789;
                    break;
                case true:
                    i = 455781189;
                    break;
                case true:
                    i = 1587524501;
                    break;
                case true:
                    i = 582337612;
                    break;
                case true:
                    i = 2101328497;
                    break;
                case true:
                    i = 289798149;
                    break;
                case true:
                    i = 879952440;
                    break;
                case true:
                    i = -804370541;
                    break;
                case true:
                    i = 681646350;
                    break;
                case true:
                    i = -18386125;
                    break;
                case true:
                    i = -1647009395;
                    break;
                case true:
                    i = 2034569639;
                    break;
                case true:
                    i = 1766444206;
                    break;
                case true:
                    i = -409128615;
                    break;
                case true:
                    i = 126370474;
                    break;
                case true:
                    i = -120328378;
                    break;
                case true:
                    i = -1579632828;
                    break;
                case true:
                    i = 1593663162;
                    break;
                case true:
                    i = 132558734;
                    break;
                case true:
                    i = 857561360;
                    break;
                case true:
                    i = 664279303;
                    break;
                case true:
                    i = -84802965;
                    break;
                case true:
                    i = -476958788;
                    break;
                case true:
                    i = -1365746650;
                    break;
                case true:
                    i = 539174005;
                    break;
                case true:
                    i = -761271784;
                    break;
                case true:
                    i = -1110777300;
                    break;
                case true:
                    i = -16191492;
                    break;
                case true:
                    i = -1157811489;
                    break;
                case true:
                    i = 1628353290;
                    break;
                case true:
                    i = 1730853520;
                    break;
                case true:
                    i = -1098630133;
                    break;
                case true:
                    i = -1475643355;
                    break;
                case true:
                    i = 1620330482;
                    break;
                case true:
                    i = -170387628;
                    break;
                case true:
                    i = -925442437;
                    break;
                case true:
                    i = -1986316089;
                    break;
                case true:
                    i = 191252620;
                    break;
                case true:
                    i = 2142838476;
                    break;
                case true:
                    i = -2032328852;
                    break;
                case true:
                    i = -1733567875;
                    break;
                case true:
                    i = 853029616;
                    break;
                case true:
                    i = 287398474;
                    break;
                case true:
                    i = -1648646552;
                    break;
                case true:
                    i = -1781175133;
                    break;
                case true:
                    i = 1777676252;
                    break;
                case true:
                    i = -1542041427;
                    break;
                case true:
                    i = 1005140678;
                    break;
                case true:
                    i = 362378495;
                    break;
                case true:
                    i = -309268444;
                    break;
                case true:
                    i = -1260456588;
                    break;
                case true:
                    i = 1507884105;
                    break;
                case true:
                    i = -176878580;
                    break;
                case true:
                    i = 1675296334;
                    break;
                case true:
                    i = -1822604235;
                    break;
                case true:
                    i = -1873103289;
                    break;
                case true:
                    i = 1558756379;
                    break;
                case true:
                    i = 607408929;
                    break;
                case true:
                    i = -1393532271;
                    break;
                case true:
                    i = 6499442;
                    break;
                case true:
                    i = -1139047402;
                    break;
                case true:
                    i = -1648411445;
                    break;
                case true:
                    i = 1670447343;
                    break;
                case true:
                    i = 883200105;
                    break;
                case true:
                    i = 906234701;
                    break;
                case true:
                    i = 337496305;
                    break;
                case true:
                    i = 868286766;
                    break;
                case true:
                    i = -985105708;
                    break;
                case true:
                    i = 1465641934;
                    break;
                case true:
                    i = 911425857;
                    break;
                case true:
                    i = -1224573769;
                    break;
                case true:
                    i = -354743360;
                    break;
                case true:
                    i = -1018265242;
                    break;
                case true:
                    i = -1073642565;
                    break;
                case true:
                    i = -1155946751;
                    break;
                case true:
                    i = 2133008128;
                    break;
                case true:
                    i = 202756139;
                    break;
                case true:
                    i = 428024170;
                    break;
                case true:
                    i = 580932993;
                    break;
                case true:
                    i = 1057075149;
                    break;
                case true:
                    i = -2050146655;
                    break;
                case true:
                    i = -1007702215;
                    break;
                case true:
                    i = 2024338919;
                    break;
                case true:
                    i = 1819365080;
                    break;
                case true:
                    i = -571778085;
                    break;
                case true:
                    i = -886593731;
                    break;
                case true:
                    i = 714756802;
                    break;
                case true:
                    i = 1307105913;
                    break;
                case true:
                    i = 1330701640;
                    break;
                case true:
                    i = -1109806025;
                    break;
                case true:
                    i = -934510185;
                    break;
                case true:
                    i = -151858964;
                    break;
                case true:
                    i = -1427325999;
                    break;
                case true:
                    i = 306930937;
                    break;
                case true:
                    i = -1107119273;
                    break;
                case true:
                    i = 1727848762;
                    break;
                case true:
                    i = 886667442;
                    break;
                case true:
                    i = -221541585;
                    break;
                case true:
                    i = -312158235;
                    break;
                case true:
                    i = 1702472487;
                    break;
                case true:
                    i = -1361910417;
                    break;
                case true:
                    i = 1045744733;
                    break;
                case true:
                    i = -984131987;
                    break;
                case true:
                    i = -1079459597;
                    break;
                case true:
                    i = 1345223339;
                    break;
                case true:
                    i = -313842444;
                    break;
                case true:
                    i = -608289303;
                    break;
                case true:
                    i = 989288894;
                    break;
                case true:
                    i = -228352298;
                    break;
                case true:
                    i = -676896938;
                    break;
                case true:
                    i = 723298661;
                    break;
                case true:
                    i = -517055702;
                    break;
                case true:
                    i = 1155884301;
                    break;
                case true:
                    i = 764401779;
                    break;
                case true:
                    i = 2010665042;
                    break;
                case true:
                    i = 1472762704;
                    break;
                case true:
                    i = 1691935378;
                    break;
                case true:
                    i = 1838016527;
                    break;
                case true:
                    i = -1057723280;
                    break;
                case true:
                    i = -199864990;
                    break;
                case true:
                    i = 173044949;
                    break;
                case true:
                    i = -1467748714;
                    break;
                case true:
                    i = 764833733;
                    break;
                case true:
                    i = -796809199;
                    break;
                case true:
                    i = 2120583452;
                    break;
                case true:
                    i = -612382374;
                    break;
                case true:
                    i = -2032516322;
                    break;
                case true:
                    i = -1902555994;
                    break;
                case true:
                    i = 1896856282;
                    break;
                case true:
                    i = -1094569464;
                    break;
                case true:
                    i = -744294821;
                    break;
                case true:
                    i = -742562123;
                    break;
                case true:
                    i = 1412517614;
                    break;
                case true:
                    i = -804038559;
                    break;
                case true:
                    i = 628103682;
                    break;
                case true:
                    i = 900011225;
                    break;
                case true:
                    i = 943620373;
                    break;
                case true:
                    i = -1996384010;
                    break;
                case true:
                    i = -1861270363;
                    break;
                case true:
                    i = -424635565;
                    break;
                case true:
                    i = -144304510;
                    break;
                case true:
                    i = -1741730980;
                    break;
                case true:
                    i = -544974978;
                    break;
                case true:
                    i = 1381952943;
                    break;
                case true:
                    i = 1266093027;
                    break;
                case true:
                    i = -744427745;
                    break;
                case true:
                    i = -503669366;
                    break;
                case true:
                    i = 914617225;
                    break;
                case true:
                    i = -769092452;
                    break;
                case true:
                    i = 827143162;
                    break;
                case true:
                    i = -633611400;
                    break;
                case true:
                    i = -129648455;
                    break;
                case true:
                    i = -265907820;
                    break;
                case true:
                    i = -414931371;
                    break;
                case true:
                    i = -414593101;
                    break;
                case true:
                    i = -1162418882;
                    break;
                case true:
                    i = 1989555920;
                    break;
                case true:
                    i = 1843334170;
                    break;
                case true:
                    i = 1586091572;
                    break;
                case true:
                    i = 2052428407;
                    break;
                case true:
                    i = 1038851160;
                    break;
                case true:
                    i = 1220060039;
                    break;
                case true:
                    i = -457593808;
                    break;
                case true:
                    i = 1795983300;
                    break;
                case true:
                    i = -48078193;
                    break;
                case true:
                    i = -2027301326;
                    break;
                case true:
                    i = -1579193447;
                    break;
                case true:
                    i = 2010055422;
                    break;
                case true:
                    i = 989375197;
                    break;
                case true:
                    i = -293067137;
                    break;
                case true:
                    i = 802576665;
                    break;
                case true:
                    i = -641371782;
                    break;
                case true:
                    i = -1595078940;
                    break;
                case true:
                    i = -802732705;
                    break;
                case true:
                    i = -1220731372;
                    break;
                case true:
                    i = -1148994913;
                    break;
                case true:
                    i = 1521822085;
                    break;
                case true:
                    i = 117291986;
                    break;
                case true:
                    i = -643733981;
                    break;
                case true:
                    i = 422050879;
                    break;
                case true:
                    i = -1041467603;
                    break;
                case true:
                    i = 1564506782;
                    break;
                case true:
                    i = -2062542062;
                    break;
                case true:
                    i = 46852545;
                    break;
                case true:
                    i = -367609680;
                    break;
                case true:
                    i = 1300054966;
                    break;
                case true:
                    i = 200324584;
                    break;
                case true:
                    i = -241623653;
                    break;
                case true:
                    i = -704340767;
                    break;
                case true:
                    i = 1559482496;
                    break;
                case true:
                    i = -8042941;
                    break;
                case true:
                    i = -2088821892;
                    break;
                case true:
                    i = 711770583;
                    break;
                case true:
                    i = 443155991;
                    break;
                case true:
                    i = 1792032447;
                    break;
                case true:
                    i = 331860920;
                    break;
                default:
                    i = 459633153;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == true) {
            return;
        }
        Object[] objArr2 = new Object[2];
        a = objArr2;
        int i7 = 0;
        do {
            int i8 = i7;
            int i9 = i7 + 1;
            int i10 = i9 + 1;
            int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
            byte[] bArr = new byte[i11];
            System.arraycopy(doFinal, i10, bArr, 0, i11);
            i7 = i10 + i11;
            int i12 = i6;
            i6++;
            objArr2[i12] = new String(bArr, "UTF-8").intern();
        } while (i7 != i4);
    }

    public WrongBreakB(PlayerData playerData) {
        super(playerData);
        this.noFireHitbox = this.player.getClientVersion().isOlderThanOrEquals(ClientVersion.V_1_15_2);
        this.lastBreakLoc = new Vector3i();
        this.lastBlockType = StateTypes.AIR;
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:100:0x0392 -> B:101:0x0197). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:100:0x0392 -> B:48:0x0335). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:102:0x01ac -> B:120:0x01fa). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:104:0x032f -> B:120:0x01fa). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:108:0x0170 -> B:10:0x00b2). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:110:0x01cb -> B:107:0x0160). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:115:0x015a -> B:107:0x0160). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:115:0x015a -> B:109:0x01c7). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:21:0x0091 -> B:103:0x031a). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x00ac -> B:120:0x01fa). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:43:0x01f4 -> B:44:0x0349). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:58:0x005c -> B:12:0x0226). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:65:0x02d0 -> B:20:0x008a). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:65:0x02d0 -> B:48:0x0335). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:83:0x0191 -> B:16:0x023d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:86:0x0354 -> B:56:0x0222). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:88:0x035c -> B:56:0x0222). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:90:0x0364 -> B:56:0x0222). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:92:0x036c -> B:56:0x0222). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:94:0x0374 -> B:56:0x0222). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:96:0x037c -> B:48:0x0335). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:98:0x0383 -> B:56:0x0222). Please report as a decompilation issue!!! */
    public void onBlockBreak(cn.dg32z.lon.utils.update.BlockBreak r8) {
        /*
            Method dump skipped, instructions count: 1211
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.breaking.wrong.WrongBreakB.onBlockBreak(cn.dg32z.lon.utils.update.BlockBreak):void");
    }

    private static Object a(char c) {
        return ((Object[]) a)[c];
    }
}
